From b63b482b043703e44258eae2a81814b5ca39bf79 Mon Sep 17 00:00:00 2001
From: sebastiii <sebastiii@team-mediaportal.com>
Date: Wed, 11 Feb 2015 16:58:54 +0100
Subject: [PATCH] Fork : Enable CC if AutoTurnon Option is activated and only
 for CC stream.

---
 mediaportal/Core/Player/TSReaderPlayer.cs | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/mediaportal/Core/Player/TSReaderPlayer.cs b/mediaportal/Core/Player/TSReaderPlayer.cs
index 45b2ad7..bfe621b 100644
--- a/mediaportal/Core/Player/TSReaderPlayer.cs
+++ b/mediaportal/Core/Player/TSReaderPlayer.cs
@@ -551,9 +551,16 @@ namespace MediaPortal.Player
 
         using (MPSettings xmlreader = new MPSettings())
         {
-          int lastSubIndex = xmlreader.GetValueAsInt("tvservice", "lastsubtitleindex", 0);
-          Log.Debug("TSReaderPlayer: Last subtitle index: {0}", lastSubIndex);
-          CurrentSubtitleStream = lastSubIndex;
+          if (filterConfig.autoShowSubWhenTvStarts && SupportsCC && CurrentSubtitleStream == 0)
+          {
+            CurrentSubtitleStream = -1;
+          }
+          else
+          {
+            int lastSubIndex = xmlreader.GetValueAsInt("tvservice", "lastsubtitleindex", 0);
+            Log.Debug("TSReaderPlayer: Last subtitle index: {0}", lastSubIndex);
+            CurrentSubtitleStream = lastSubIndex;
+          }
         }
 
         if (filterConfig != null && !filterConfig.autoShowSubWhenTvStarts)
-- 
1.9.5.msysgit.0

